<!--- 
	csw-readmore-container.cfc
	
	This is the core rendering for the Read More Container Widget.
	
	Version: [2018-01-30 1:15]
--->

<cfcomponent displayname="csw-readmore-container" output="false" hint="Container Read More Functions" extends="csw-readmore">

	<cffunction name="loadResources" access="public" output="Yes" returntype="void">
		<cfscript>
			super.loadResources();

			Server.CommonSpot.udf.resources.loadResources("cswReadMoreContainer");

			// If a custom resource has been registered, go ahead and load it.
			if ( StructKeyExists(Request.Site.CS_Resources.Resources_by_name,'cswReadMoreContainer_custom') )
				Server.CommonSpot.udf.resources.loadResources("cswReadMoreContainer_custom");
		</cfscript>
	</cffunction>
	
	
	<!----------------------------------------
	 	 RenderContainer()
	----------------------------------------->
	<cffunction name="RenderContainer" access="public" output="Yes" returntype="void">
		<cfargument name="elementInfo" required="Yes" type="struct">
		<cfargument name="propsStruct" required="Yes" type="struct">
		<cfargument name="elementID" required="Yes" type="string">

		<cfscript>
			var props = arguments.propsStruct;
			var data = StructNew();
			var linkData = getReadMoreAndLessLinks( data, props );
			
			var tag = '';
			var text = '';
			var occurence = '1';
			var placement = 'after';
			
			if( props.Collapsed_Mode eq 'tag' )				
			{
				if( len(props.Collapsed_Tag) )
					tag = props.Collapsed_Tag;
				if( len(props.occurence) )
					occurence = props.occurence;
			}
			else if( props.Collapsed_Mode eq 'text' )				
			{
				if( len(props.Collapsed_Text) )
					text = props.Collapsed_Text;
				if( len(props.occurence) )
					occurence = props.occurence;
			}
			if( len(props.Collapsed_Placement)  )				
				placement = props.Collapsed_Placement;
				
			// Set elementInfo back to attributes for the tb-standard-render.cfm
			attributes.ElementInfo = arguments.elementinfo;
		</cfscript>

		<cfoutput>
		<div id="cswReadMoreContainer-#arguments.elementID#" class="cswReadMoreContainer #props.themeClass#">
			<!--- // Include the standard container render handler (schedule-standard-render) --->
			<cfinclude template="/commonspot/controls/schedule/schedule-standard-render.cfm">
		</div>
		</cfoutput>
		
		<cfsavecontent variable="cswReadmoreFooterJS"> 
			<cfoutput>
			jQuery(document).ready(function() {
				initReadMoreCommon('cswReadMoreContainer-#arguments.elementID#',
											#props.speed#,
											'#props.collapsed_mode#',
											#props.collapsed_Height#,
											'#JSStringFormat(props.collapsed_text)#', 
											'#tag#', 
											'#occurence#', 
											'#placement#', 
											#props.startExpanded#,
											'#Trim(linkData.lessLinkHTML)#',
											'#Trim(linkData.moreLinkHTML)#');
			});
			</cfoutput>
		</cfsavecontent>
			
		<cfscript>
			// Load custom javascript at the bottom of the page.
			Server.CommonSpot.udf.resources.addFooterJS(cswReadmoreFooterJS, 'TERTIARY');
		</cfscript>
		
	</cffunction>
	
</cfcomponent>