<!--- 
	csw-readmore-formatted-text-block.cfc
	
	This is the core rendering for the Read More Formatted Text Block Widget.
	
	Version: [2018-01-17 10:15]
--->

<cfcomponent displayname="csw-readmore-formatted-text-block" output="false" hint="Formatted Text Block Read More Functions" extends="csw-readmore">

	<cffunction name="loadResources" access="public" output="Yes" returntype="void">
		<cfscript>
			super.loadResources();

			Server.CommonSpot.udf.resources.loadResources("cswReadMoreFormattedTextBlock");

			// If a custom resource has been registered, go ahead and load it.
			if ( StructKeyExists(Request.Site.CS_Resources.Resources_by_name,'cswReadMoreFormattedTextBlock_custom') )
				Server.CommonSpot.udf.resources.loadResources("cswReadMoreFormattedTextBlock_custom");
		</cfscript>
	</cffunction>
	
	
	<!----------------------------------------
	 	 renderFormattedTextblock()
	----------------------------------------->
	<cffunction name="renderFormattedTextblock" access="public" output="Yes" returntype="void">
		<cfargument name="elementInfo" required="Yes" type="struct">
		<cfargument name="propsStruct" required="Yes" type="struct">
		<cfargument name="elementID" required="Yes" type="string">

		<cfscript>
			var props = arguments.propsStruct;
			var data = StructNew();
			var linkData = getReadMoreAndLessLinks( data, props );
			
			var tag = '';
			var text = '';
			var occurence = '1';
			var placement = 'after';
			
			if( props.Collapsed_Mode eq 'tag' )				
			{
				if( len(props.Collapsed_Tag) )
					tag = props.Collapsed_Tag;
				if( len(props.occurence) )
					occurence = props.occurence;
			}
			else if( props.Collapsed_Mode eq 'text' )				
			{
				if( len(props.Collapsed_Text) )
					text = props.Collapsed_Text;
				if( len(props.occurence) )
					occurence = props.occurence;
			}

			if( len(props.Collapsed_Placement)  )				
				placement = props.Collapsed_Placement;
				
			// Set elementInfo back to attributes for the tb-standard-render.cfm
			attributes.ElementInfo = arguments.elementinfo;
		</cfscript>

		<cfoutput>
		<div id="cswReadMoreFormattedTextBlock-#arguments.elementID#" class="cswReadMoreFormattedTextBlock #props.themeClass#">
			<article>
				<!--- // Include the standard element render handler --->
				<cfinclude template="/commonspot/controls/textblock/tb-standard-render.cfm">
			</article>
		</div>
		</cfoutput>
		
		<cfsavecontent variable="cswReadmoreFooterJS"> 
			<cfoutput>
			jQuery(document).ready(function() {
				initReadMoreCommon('cswReadMoreFormattedTextBlock-#arguments.elementID#', 
											#props.speed#,
											'#props.collapsed_mode#',
											#props.collapsed_Height#,
											'#JSStringFormat(props.collapsed_text)#', 
											'#tag#', 
											'#occurence#', 
											'#placement#', 
											#props.startExpanded#,
											'#Trim(linkData.lessLinkHTML)#',
											'#Trim(linkData.moreLinkHTML)#');
			
			});
			</cfoutput>
		</cfsavecontent>
			
		<cfscript>
			// Load custom javascript at the bottom of the page.
			Server.CommonSpot.udf.resources.addFooterJS(cswReadmoreFooterJS, 'TERTIARY');
		</cfscript>
		
	</cffunction>
	
</cfcomponent>